%global plugin_name pipeline-stage-view

Summary:    This plugin provides a graphical swimlane view of pipeline stage execution
Name:       jenkins-plugin-%{plugin_name}
Version:    2.6
Release:    10%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Stage+View+Plugin
# AltURL:   https://github.com/jenkinsci/pipeline-stage-view-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-momentjs
Requires:   jenkins-plugin-pipeline-rest-api
Requires:   jenkins-plugin-jquery-detached
Requires:   jenkins-plugin-handlebars
Requires:   jenkins-plugin-workflow-job

%description
This plugin provides a graphical swimlane view of pipeline stage execution 
as well as a build history of the stages.

When you have complex builds Pipelines, it is useful to 
be able to see the progress of each stage.  
The Pipeline Stage View plugin includes an extended 
visualization of Pipeline build history on the index page 
of a flow project, under Stage View.
You can also click on Full Stage View to get a full-screen view.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.6 - 2.6-10
- rebuilt

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 2.6-1
- Update to 2.6

* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.2-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.4-1
- Initial package
